LFR-FSW - Bug #972

Negative Parameters send into TC_LFR_LOAD_FILTER_PAR not rejected
13/03/2017 09:02 AM - Veronique bouzid

Status: Closed Start date: 13/03/2017
Priority: High Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

L'envoi de valeurs négatives des parameétres suivants sur une TC_LFR_LOAD_FILTER_PAR sont accéptés par LFR software au
lieu
d'etre rejeté par une TM_LFR_EXE_INCONSISTENT.

Cela concerne
- SY_LFR_SC_RW_DELTA_F (voir #939)
-SY_LFR_RWi_Kj aveci=[1,4]etj=[1,4]

Les demandes de mise a jour de I'lCD ont été faites par Bruno.

Le script utilisé se nomme /opt/VALIDATION_RS3plusplus/Ifrverif/LFR_SVS/SVS-0008/tc_execution_failure_report.py.
Les fichiers de log (2017_03_10-14_25_30*) se trouvent dans le répertoire /home/validation/data/R3++/3.2.0.2/1.1.91/SVS-0008.

Contexte du test

FSW 3.2.0.2

VHDL 1.1.91

EM1 sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = 0.6, Changeset = c459540a6dbd+
StarDundee

Related issues:
Related to Bug #939: Negative RW Frequency send into TC_LFR_UPDATE_INFO is ta... Closed 15/02/2017

History

#1 - 13/03/2017 09:02 AM - Veronique bouzid
- Related to Bug #939: Negative RW Frequency send into TC_LFR_UPDATE_INFO is taken in account added

#2 - 16/03/2017 08:38 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

correction effectuée pour fsw >= 3.2.0.3

#3 - 17/03/2017 06:11 PM - bruno katra

- Status changed from Resolved to Closed

ok en fsw >= 3.2.0.5 : envoi de TBAD, SHIFT, MODULUS, OFFSET < 0 provoque une INCONSISTENT
